package com.jxml.quick.util.qdmlExpand;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QDML data.
 */
public class QCRange extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QDMRange dm=(QDMRange)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("imin",dm.imin);
		addStringAttribute("xmin",dm.xmin);
		addStringAttribute("imax",dm.imax);
		addStringAttribute("xmax",dm.xmax);

		startElement("range");

		doCvt(dm.remList,null);

		endElement("range");
	}
}
